Up

# NSRulerMarker

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)

> Displays a symbol in a NSRulerView.

Copyright: (C) 2001 Free Software Foundation, Inc.

# Software documentation for the NSRulerMarker class

## NSRulerMarker : NSObject

> Declared in:
>   AppKit/NSRulerMarker.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -drawRect:
- -image
- -imageOrigin
- -imageRectInRuler
- -initWithRulerView:markerLocation:image:imageOrigin:
- -isDragging
- -isMovable
- -isRemovable
- -markerLocation
- -representedObject
- -ruler
- -setImage:
- -setImageOrigin:
- -setMarkerLocation:
- -setMovable:
- -setRemovable:
- -setRepresentedObject:
- -thicknessRequiredInRuler
- -trackMouse:adding:

### drawRect:

- (void) drawRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### image

- (NSImage*) image;
Availability: OpenStep
Description forthcoming.

### imageOrigin

- (NSPoint) imageOrigin;
Availability: OpenStep
Description forthcoming.

### imageRectInRuler

- (NSRect) imageRectInRuler;
Availability: OpenStep
Description forthcoming.

### initWithRulerView: markerLocation: image: imageOrigin:

- (id) initWithRulerView: (NSRulerView*)aRulerView markerLocation: (float)location image: (NSImage*)anImage imageOrigin: (NSPoint)imageOrigin;
Availability: OpenStep
Description forthcoming.

### isDragging

- (BOOL) isDragging;
Availability: OpenStep
Description forthcoming.

### isMovable

- (BOOL) isMovable;
Availability: OpenStep
Description forthcoming.

### isRemovable

- (BOOL) isRemovable;
Availability: OpenStep
Description forthcoming.

### markerLocation

- (float) markerLocation;
Availability: OpenStep
Description forthcoming.

### representedObject

- (id) representedObject;
Availability: OpenStep
Description forthcoming.

### ruler

- (NSRulerView*) ruler;
Availability: OpenStep
Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)anImage;
Availability: OpenStep
Description forthcoming.

### setImageOrigin:

- (void) setImageOrigin: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### setMarkerLocation:

- (void) setMarkerLocation: (float)location;
Availability: OpenStep
Description forthcoming.

### setMovable:

- (void) setMovable: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setRemovable:

- (void) setRemovable: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setRepresentedObject:

- (void) setRepresentedObject: (id)anObject;
Availability: OpenStep
Description forthcoming.

### thicknessRequiredInRuler

- (float) thicknessRequiredInRuler;
Availability: OpenStep
Description forthcoming.

### trackMouse: adding:

- (BOOL) trackMouse: (NSEvent*)theEvent adding: (BOOL)adding;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSRulerMarker Class

### _image

@protected NSImage* _image;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _imageOrigin

@protected NSPoint _imageOrigin;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isDragging

@protected BOOL _isDragging;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isMovable

@protected BOOL _isMovable;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isRemovable

@protected BOOL _isRemovable;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _location

@protected float _location;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _representedObject

@protected id _representedObject;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _rulerView

@protected NSRulerView* _rulerView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up